KNIFE-CONFIGURE(1)

NAME
knife-configure - Generate configuration files for knife or Chef Client

SYNOPSIS
knife configure [client] (options)

DESCRIPTION
Generates a knife.rb configuration file interactively. When given the --initial option, also creates a new administrative user.

CONFIGURE SUBCOMMANDS
knife configure (options)

-i, --initial
    Create an initial API Client

-r, --repository REPO
    The path to your chef-repo

Create a configuration file for knife. This will prompt for values to enter into the file. Default values are listed in square brackets if no other entry is typed. See knife(1) for a description of configuration options.

knife configure client directory

Read the knife.rb config file and generate a config file suitable for use in /etc/chef/client.rb and copy the validation certificate into the specified directory.

EXAMPLES

•   On a freshly installed Chef Server, use knife configure -i to create an administrator and knife configuration file. Leave the field blank to accept the default value. On most systems, the default values are acceptable.

    user@host$ knife configure -i
    Please enter the chef server URL: [http://localhost:4000]
    Please enter a clientname for the new client: [username]
    Please enter the existing admin clientname: [chef-webui]
    Please enter the location of the existing admin client's private key: [/etc/chef/webui.pem]
    Please enter the validation clientname: [chef-validator]
    Please enter the location of the validation key: [/etc/chef/validation.pem]
    Please enter the path to a chef repository (or leave blank):
    Creating initial API user...
    Created (or updated) client[username]
    Configuration file written to /home/username/.chef/knife.rb

    This creates a new administrator client named username, writes a configuration file to /home/username/.chef/knife.rb, and the private key to /home/username/.chef/username.pem. The configuration file and private key may be copied to another system to facilitate administration of the Chef Server from a remote system. Depending on the value given for the Chef Server URL, you may need to modify that setting after copying to a remote host.

SEE ALSO
knife(1) knife-client(1)

AUTHOR
Chef was written by Adam Jacob adam@opscode.com with many contributions from the community.

DOCUMENTATION
This manual page was written by Joshua Timberman joshua@opscode.com. Permission is granted to copy, distribute and / or modify this document under the terms of the Apache 2.0 License.

CHEF
Knife is distributed with Chef. http://wiki.opscode.com/display/chef/Home